#include<iostream>
#include <iomanip>

using namespace std;

main(){
	int n;
	double a[100],p[100],max=0,suma=0;
	cin>>n;
	for(int i=0;i<n;i++)
		cin>>a[i]>>p[i];
	for(int i=0;i<n;i++)
		{
			for(int j=0;j<n;j++)
					if(p[i] <= p[j]) suma+=a[j]*(p[i]/100);
			if(suma>max) max=suma;
			suma=0;
		}
	cout<<setprecision(10)<<max;
}